<div class="filter-wrapper">
  <mat-paginator *ngIf="pagination"
                 [length]="pagination.totalItemsCount"
                 [pageSize]="postParams.pageSize"
                 [pageSizeOptions]="[5, 10, 20]"
                 (page)="changePage($event)"
                 aria-label="Select page">
  </mat-paginator>
  <form class="search-form" #filterForm="ngForm" (ngSubmit)="loadAllPosts()">
    <label>Search posts by username</label>
    <div class="search-input-wrapper">
      <input class="search-field" type="text" name="authorUsername"
             [(ngModel)]="postParams.authorUsername">
      <button class="search-btn" type="submit"><i class="fa fa-search fa-lg"></i></button>
    </div>
    <div class="filter-buttons-wrapper">
      <button type="button" (click)="resetFilters()">Cancel search</button>
    </div>
  </form>
</div>
<div class="posts-wrapper">
  <div *ngFor="let post of posts">
    <app-post-card [post]="post">
      <button class="like-btn" (click)="likePost(post)">
        <i class="fa fa-lg"
           [ngClass]="post.likedByCurrentUser ? 'fa-heart' : 'fa-heart-o'"></i></button>
    </app-post-card>
  </div>
</div>
